LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XCellRangeMovement Interface Referencepublished

provides methods for moving ranges of cells in a sheet. More...

`import"XCellRangeMovement.idl";`

Inheritance diagram for XCellRangeMovement:

## Public Member Functions
void | insertCells ([in] com::sun::star::table::CellRangeAddress aRange, [in] com::sun::star::sheet::CellInsertMode nMode)
| inserts cells, moving other cells down or right. More...
void | removeRange ([in] com::sun::star::table::CellRangeAddress aRange, [in] com::sun::star::sheet::CellDeleteMode nMode)
| deletes cells, moving other cells up or left. More...
void | moveRange ([in] com::sun::star::table::CellAddress aDestination, [in] com::sun::star::table::CellRangeAddress aSource)
| moves a cell range to another position in the document. More...
void | copyRange ([in] com::sun::star::table::CellAddress aDestination, [in] com::sun::star::table::CellRangeAddress aSource)
| copies a cell range to another position in the document. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods for moving ranges of cells in a sheet.

## Member Function Documentation

## ◆ copyRange()

void copyRange | ( | [in] com::sun::star::table::CellAddress | aDestination,
|  | [in] com::sun::star::table::CellRangeAddress | aSource
| ) |  |

copies a cell range to another position in the document.

The source cell range keeps unchanged.

Parameters

  aDestination | the address of the top left cell of the destination range.
  aSource | the cell range which will be copied.

## ◆ insertCells()

void insertCells | ( | [in] com::sun::star::table::CellRangeAddress | aRange,
|  | [in] com::sun::star::sheet::CellInsertMode | nMode
| ) |  |

inserts cells, moving other cells down or right.

Non-empty cells cannot be moved off the sheet.

Parameters

  aRange | the cell range in which empty cells will be inserted.
  nMode | describes how to move existing cells.

## ◆ moveRange()

void moveRange | ( | [in] com::sun::star::table::CellAddress | aDestination,
|  | [in] com::sun::star::table::CellRangeAddress | aSource
| ) |  |

moves a cell range to another position in the document.

After copying the contents of the cell range, all cells will be cleared.

Parameters

  aDestination | the address of the top left cell of the destination range.
  aSource | the cell range which will be copied.

## ◆ removeRange()

void removeRange | ( | [in] com::sun::star::table::CellRangeAddress | aRange,
|  | [in] com::sun::star::sheet::CellDeleteMode | nMode
| ) |  |

deletes cells, moving other cells up or left.

Parameters

  aRange | the cell range to remove.
  nMode | describes how to move following cells.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XCellRangeMovement.idl